Stefan Saasen avatar Stefan Saasen committed 3532a1c

Add simple activity command

Comments (0)

Files changed (1)

+#!/bin/bash
+
+set -e
+
+# green: 2
+# blue: 4
+# red: 1
+
+commit_id_format=$(tput setaf 1)
+date_format=$(tput bold; tput setaf 4)
+author_format=$(tput setaf 2)
+bold=$(tput bold)
+reset=$(tput sgr0)
+
+
+git for-each-ref refs/remotes --format="${date_format}%(authordate:relative)${reset} ${commit_id_format}%(objectname:short)${reset} - ${author_format}[%(authorname)]${reset}: %(refname:short): %(subject)" --sort=authordate
Tip: Filter by directory path e.g. /media app.js to search for public/media/app.js.
Tip: Use camelCasing e.g. ProjME to search for ProjectModifiedEvent.java.
Tip: Filter by extension type e.g. /repo .js to search for all .js files in the /repo directory.
Tip: Separate your search with spaces e.g. /ssh pom.xml to search for src/ssh/pom.xml.
Tip: Use ↑ and ↓ arrow keys to navigate and return to view the file.
Tip: You can also navigate files with Ctrl+j (next) and Ctrl+k (previous) and view the file with Ctrl+o.
Tip: You can also navigate files with Alt+j (next) and Alt+k (previous) and view the file with Alt+o.